# eslint-config-textio-base

Textio's javascript code styles encapsulated in an eslint config

NOTE: Only add *shared* config to this repo! Project-specific config should be inlined into the .eslintrc file in your project.

## Getting Started with ES6 lint
1. In the terminal, run `npm install --save-dev eslint-config-textio-base eslint`
2. Pick a configuration from below based on the kind of project you're creating, then modify the `.eslintrc` file in your root directory to contain that configuration.
3. Add additional configuration based on your project's needs

### To use the es6 (no react) config
```json
{
   "extends": [
      "eslint:recommended",
      "textio-base"
   ] 
}
```

### To use the react config
```json
{
    "extends": [
        "eslint:recommended",
        "plugin:react/recommended",
        "textio-base/react"
    ]
}
```

### To use the es5 (legacy) config
_NO NEW PROJECTS SHOULD USE THIS_

```json
{
   "extends": [
      "textio-base/legacy"
   ] 
}
```

## Getting Started with tslint
1. In the terminal, run `npm install --save-dev eslint-config-textio-base tslint tslint-eslint-rules tslint-react`
2. Modify the `tslint.json` file in your root directory to contain the configuration below.
3. Add additional configuration based on your project's needs

### To use the tslint config
```json
{
    "extends": [
        "tslint:recommended",
        "tslint-react",
        "tslint-eslint-rules",
        "eslint-config-textio-base/tslint"
    ],
    "rulesDirectory": [
        "node_modules/eslint-config-textio-base/dist"
    ]
}
```
