module.exports = {
    extends: [
        `eslint-config-airbnb-base`,
        `eslint-config-airbnb-base/rules/strict`,
        `./rules/textio`,
    ].map(require.resolve),
    globals: {
        window: false,
    },
    rules: {
        "valid-jsdoc": [`warn`, {
            requireReturn: false,
        }],

        "padded-blocks": [
            `off`,
        ],
        "new-cap": [
            `error`, {
                capIsNewExceptions: [
                    `Map`,
                ],
            },
        ],
        "no-unused-vars": [
            `warn`,
        ],
        "no-use-before-define": [
            `error`,
            `nofunc`,
        ],
        "quotes": [
            `warn`,
            `backtick`,
        ],
        "no-unreachable": [
            `warn`,
        ],
        "no-spaced-func": [
            `warn`,
        ],
        "prefer-const": [
            `warn`,
        ],
        "prefer-template": [
            `warn`,
        ],
        "arrow-spacing": [
            `warn`,
        ],
        "keyword-spacing": [
            `warn`,
        ],
        "require-jsdoc": [
            `off`,
        ],
        "no-empty": [
            `warn`,
        ],
        "object-curly-spacing": [
            `warn`,
        ],
        "eol-last": [
            `warn`,
        ],
        "no-plusplus": [
            `off`,
        ],
        "no-bitwise": [
            `off`,
        ],
        "valid-typeof": [
            `off`,
        ],
        "class-methods-use-this": [
            `off`,
        ],
        "comma-dangle": [
            `warn`,
        ],
        "space-infix-ops": [
            `warn`,
        ],
        "jsx-quotes": [
            `warn`,
            `prefer-single`,
        ],
        "import/prefer-default-export": [
            `off`,
        ],
        "import/no-extraneous-dependencies": [
            `off`,
        ],
        "no-prototype-builtins": [
            `off`,
        ],
    },
};
